# frozen_string_literal: true

module JwtApiAuth
  class ApplicationController < ActionController::Base
    include JwtApiAuth::Authentication

    skip_before_action :verify_authenticity_token

    rescue_from ActiveRecord::RecordNotFound do
      head :not_found
    end
  end
end
