# frozen_string_literal: true

module JwtApiAuth
  module Helpers
    def resource_name
      JwtApiAuth.model.to_s
    end

    def resource_class
      resource_name.classify.constantize
    end

    def refresh_token_model_name
      JwtApiAuth.refresh_token_model.to_s
    end

    def refresh_token_model_class
      refresh_token_model_name.classify.constantize
    end

    def refresh_token_enabled?
      JwtApiAuth.refresh_token_model.present?
    end
  end
end
